Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#73479 - Update auf python-tomli breaks python-jupyter

Attached to Project: Arch Linux
Opened by Lars Becker (lbecker) - Sunday, 23 January 2022, 21:34 GMT
Last edited by Antonio Rojas (arojas) - Monday, 24 January 2022, 07:44 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Jupyter Notebook breaks since today:

Error loading kernelspec 'python3'
Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 573, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 891, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 782, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (tomli 2.0.0 (/usr/lib/python3.10/site-packages), Requirement.parse('tomli<2.0.0,>=0.2.6'), {'black'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.10/site-packages/jupyter_client/kernelspec.py", line 314, in get_all_specs
spec = self._get_kernel_spec_by_name(kname, resource_dir)
File "/usr/lib/python3.10/site-packages/jupyter_client/kernelspec.py", line 247, in _get_kernel_spec_by_name
from ipykernel.kernelspec import RESOURCES, get_kernel_dict
File "/usr/lib/python3.10/site-packages/ipykernel/kernelspec.py", line 16, in <module>
from .ipkernel import _is_debugpy_available
File "/usr/lib/python3.10/site-packages/ipykernel/ipkernel.py", line 38, in <module>
from .debugger import Debugger
File "/usr/lib/python3.10/site-packages/ipykernel/debugger.py", line 20, in <module>
from debugpy.server import api # noqa
File "/usr/lib/python3.10/site-packages/debugpy/server/__init__.py", line 9, in <module>
import debugpy._vendored.force_pydevd # noqa
File "/usr/lib/python3.10/site-packages/debugpy/_vendored/force_pydevd.py", line 45, in <module>
preimport('pydevd', [
File "/usr/lib/python3.10/site-packages/debugpy/_vendored/__init__.py", line 128, in preimport
import_module(name)
File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "/usr/lib/python3.10/site-packages/debugpy/_vendored/pydevd/pydevd_plugins/__init__.py", line 5, in <module>
__import__('pkg_resources').declare_namespace(__name__)
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3266, in <module>
def _initialize_master_working_set():
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3240, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3278, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 575, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 588, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 777, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'tomli<2.0.0,>=0.2.6' distribution was not found and is required by black



Additional info:
* Jupyter: 4.6.3-3

Steps to reproduce:
* Keep Arch updated; experience version conflict with dependencies. ;-)
This task depends upon

Closed by  Antonio Rojas (arojas)
Monday, 24 January 2022, 07:44 GMT
Reason for closing:  Fixed
Comment by Antonio Rojas (arojas) - Sunday, 23 January 2022, 22:26 GMT
pacman -Q python-black ?
Comment by Anish (phinfinity) - Monday, 24 January 2022, 02:43 GMT
+1 , ran into the same issue.

$ pacman -Q python-black python-tomli
python-black 21.12b0-3
python-tomli 2.0.0-1

Looks like this fixes it : https://github.com/archlinux/svntogit-community/commit/96346d748b449387efdc92eadcb2863175cee679
Maybe just needs the package to be rebuilt? : https://archlinux.org/packages/community/any/python-black/
Comment by Anish (phinfinity) - Monday, 24 January 2022, 02:46 GMT Comment by Daniel M. Capella (polyzen) - Monday, 24 January 2022, 06:15 GMT
* Reason for request: python-black 21.12b0-4 moved from community-testing to community

Loading...